cURL
curl --request POST \
--url https://api.contiguity.com/send/imessage/typing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "+1234567890",
"action": "start"
}
'import requests
url = "https://api.contiguity.com/send/imessage/typing"
payload = {
"to": "+1234567890",
"action": "start"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to: '+1234567890', action: 'start'})
};
fetch('https://api.contiguity.com/send/imessage/typing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "req_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "response",
"data": {
"status": "started"
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "error",
"data": {
"error": "Bad Request",
"status": 400
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "error",
"data": {
"error": "Unauthorized",
"status": 401
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "error",
"data": {
"error": "Forbidden",
"status": 403
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "error",
"data": {
"error": "Internal Server Error",
"status": 500
}
}iMessage
Start or Stop Typing Indicators
Start or stop sending a typing indicator to an iMessage chat
POST
/
imessage
/
typing
cURL
Technically, iCloud emails are supported… but their behavior is unpredictable.

Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Recipient's iMessage address. Must be in E.164 format.
Example:
"+1234567890"
Whether to start or stop sending typing indicators
Available options:
start, stop Example:
"start"
Your leased iMessage number. If none is provided, we will use a random iMessage number of yours.
Example:
"+15555555555"
Was this page helpful?
⌘I